package pwgen

type Int32n interface {
	Int31n(n int32) int32
}

type GenerationOption interface {
	ApplyToOptions(options *options)
}

type Generator interface {
	Generate(opts ...GenerationOption) (string, error)
}
